import "choerodon-ui/pro/lib/data-set/style";
import _DataSet from "choerodon-ui/pro/lib/data-set";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { createContext, useContext, useEffect, useMemo } from 'react';
import { inject } from 'mobx-react';
import { injectIntl } from 'react-intl';
import { observer } from 'mobx-react-lite';
import { useResourceStore } from "../../../../stores";
import DetailDataSet from "./DetailDataSet";
import openWarnModal from "../../../../../../utils/openWarnModal";
var Store = /*#__PURE__*/createContext();
export function useCertDetailStore() {
  return useContext(Store);
}
export var StoreProvider = injectIntl(inject('AppState')(observer(function (props) {
  var projectId = props.AppState.currentMenuType.id,
      formatMessage = props.intl.formatMessage,
      children = props.children;

  var _useResourceStore = useResourceStore(),
      resourceStore = _useResourceStore.resourceStore,
      treeDs = _useResourceStore.treeDs;

  var _resourceStore$getSel = resourceStore.getSelectedMenu,
      id = _resourceStore$getSel.id,
      parentId = _resourceStore$getSel.parentId;
  var detailDs = useMemo(function () {
    return new _DataSet(DetailDataSet());
  }, []);

  function freshTree() {
    treeDs.query();
  }

  function checkExist() {
    return resourceStore.checkExist({
      projectId: projectId,
      type: 'certificate',
      envId: parentId.split('**')[0],
      id: id
    }).then(function (isExist) {
      if (!isExist) {
        openWarnModal(freshTree, formatMessage);
      }

      return isExist;
    });
  }

  useEffect(function () {
    checkExist().then(function (query) {
      if (query) {
        detailDs.transport.read.url = "/devops/v1/projects/".concat(projectId, "/certifications/").concat(id);
        detailDs.query();
      }
    });
  }, [projectId, id]);

  var value = _objectSpread(_objectSpread({}, props), {}, {
    detailDs: detailDs
  });

  return /*#__PURE__*/React.createElement(Store.Provider, {
    value: value
  }, children);
})));